Anciennes Versions de SpongeForge

Note

Notre politique de gestion de versions a été mise à jour en Octobre 2018. Avant SpongeAPI 7.1, les informations suivantes s’appliquent. Consulter Lire le nom du fichier en téléchargement pour les informations sur les versions plus récentes.

Le format du nom de fichier de SpongeForge lors du téléchargement est le suivant : spongeforge-<MCVersion>-<ForgeBuildId>-<SpongeAPIVersion>-BETA-<SpongeBuildId>.jar

MCVersion La version Minecraft. Seuls les clients compatibles avec cette version pourront se connecter.
ForgeBuild La version de Forge contre laquelle SpongeForge est compilé et avec laquelle la compatibilité est garantie
SpongeAPIVersion La version de SpongeAPI implémentés par ce fichier. Les plugins Sponge dépendent de ceci.
SpongeBuildId Le numéro de build de Sponge. C’est ce que vous devez utilisez pour rapporter des bugs ou chercher de l’aide sur le support.

Le Forge Build dans le nom de fichier indique la version de Forge utilisée pendant le développement et les tests. Les deux versions sont donc garanties d’être compatibles. Nous avons tendance à utiliser la dernière version recommandée de Forge pour cela.

Note

Les mods Forge normaux peuvent en principe fonctionner sur n’importe quelle version de Forge pour une version Minecraft donnée (ex. 1.12.2) sans problème. Cependant, SpongeForge a besoin d’accéder, entre autres, à des parties internes de Forge, qu’aucun mod ne devrait toucher, et encore moins modifier comme Sponge le fait. Puisque Forge est libre de modifier son code interne autant qu’il le veut, il est normal qu’il n’y ait aucune garantie de rétro-compatibilité pour SpongeForge. Vous êtes libre d’utiliser des version de Forge plus récentes que celle utilisée pour SpongeForge, mais nous ne pouvons pas toujours garantir la compatibilité.

Avertissement

Lorsque vous rencontrez des crashs, n””hésitez pas à essayer des version de Forge ultérieures à celle indiquée sur le jar de SpongeForge. Cependant, il est toujours recommandé de vérifier avec la version indiquée pour s’assurer que le problème ne vient pas de là. Même s’il n’y aucune garantie de compatibilité, merci de signaler tout problème sur l’issue tracker pour que SpongeForge puisse être mis à jour.

Exemple

Les fichiers Jar de SpongeForge vont toujours suivre ce schéma de nommage, pour vous permettre d’identifier facilement la compatibilité.

Par exemple, le fichier spongeforge-1.12.2-2705-7.1.0-BETA-3442.jar est compatible avec Minecraft 1.12.2, construit sur Forge 14.23.4.2705 (Construction 2705), fournit avec la SpongeAPI 7.1.0 et étant la construction 3442 de SpongeForge.